<div
  class="map l2"
  [style.width.px]="stepScale === 4 ? lWidth : 0"
  [style.height.px]="stepScale === 4 ? lHeight : 0"
  [style.transform]="stepScale === 4 ? 'translate(' + left + 'px, ' + top + 'px) scale(' + lScale + ')' : ''"
  [style.position]="stepScale === 4 ? 'absolute' : 'static'"
  [style.will-change]="stepScale === 4 ? 'transform' : ''"
  [style.display]="visible ? '' : 'none'"
>
  <ng-template
    ngFor let-item [ngForOf]="els"
  >
    <app-block-brick
      *ngIf="item.type === 1"
      [x]="item.x"
      [y]="item.y"
      [tx]="tx"
      [ty]="ty"
      [l1x]="l1x"
      [l1y]="l1y"
      [l2x]="x"
      [l2y]="y"
      [step]="stepScale"
      [scale]="scale"
      [cw]="cw"
      [ch]="ch"
    ></app-block-brick>
    <app-beton-brick
      *ngIf="item.type === 2"
      [x]="item.x"
      [y]="item.y"
      [tx]="tx"
      [ty]="ty"
      [l1x]="l1x"
      [l1y]="l1y"
      [l2x]="x"
      [l2y]="y"
      [step]="stepScale"
      [scale]="scale"
      [cw]="cw"
      [ch]="ch"
    ></app-beton-brick>
  </ng-template>
</div>
